RDKit: RDKit::MolDraw2D_detail::DrawShapeWavyLine Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
RDKit::MolDraw2D_detail::DrawShapeWavyLine Class Reference

`#include <DrawShape.h>`

Inheritance diagram for RDKit::MolDraw2D_detail::DrawShapeWavyLine:

## Public Member Functions
| DrawShapeWavyLine (const std::vector< Point2D > points, double lineWidth=2.0, bool scaleLineWidth=false, const DrawColour &col1=DrawColour(0, 0, 0), const DrawColour &col2=DrawColour(0, 0, 0), double offset=0.05, int atom1=-1, int atom2=-1, int bond=-1)
| DrawShapeWavyLine (const DrawShapeWavyLine &)=delete
| DrawShapeWavyLine (DrawShapeWavyLine &&)=delete
| ~DrawShapeWavyLine () override=default
DrawShapeWavyLine & | operator= (const DrawShapeWavyLine &)=delete
DrawShapeWavyLine & | operator= (DrawShapeWavyLine &&)=delete
void | myDraw (MolDraw2D &drawer) const override
void | scale (const Point2D &scaleFactor) override
bool | doesRectClash (const StringRect &rect, double padding) const override
Public Member Functions inherited from RDKit::MolDraw2D_detail::DrawShape
| DrawShape (const std::vector< Point2D > &points, double lineWidth=2.0, bool scaleLineWidth=false, DrawColour lineColour=DrawColour(0, 0, 0), bool fill=false, int atom1=-1, int atom2=-1, int bond=-1)
| DrawShape (const DrawShape &)=delete
| DrawShape (DrawShape &&)=delete
virtual | ~DrawShape ()=default
DrawShape & | operator= (const DrawShape &)=delete
DrawShape & | operator= (DrawShape &&)=delete
void | draw (MolDraw2D &drawer)
virtual void | findExtremes (double &xmin, double &xmax, double &ymin, double &ymax) const
virtual void | move (const Point2D &trans)

## Public Attributes
DrawColour | col2_
double | offset_
Public Attributes inherited from RDKit::MolDraw2D_detail::DrawShape
std::vector< Point2D > | points_
double | lineWidth_
bool | scaleLineWidth_
DrawColour | lineColour_
bool | fill_
int | atom1_
int | atom2_
int | bond_

## Detailed Description

Definition at line 205 of file DrawShape.h.

## Constructor & Destructor Documentation

## ◆ DrawShapeWavyLine() [1/3]

RDKit::MolDraw2D_detail::DrawShapeWavyLine::DrawShapeWavyLine | ( | const std::vector< Point2D > | points,
|  | double | lineWidth = 2.0,
|  | bool | scaleLineWidth = false,
|  | const DrawColour & | col1 = DrawColour(0, 0, 0),
|  | const DrawColour & | col2 = DrawColour(0, 0, 0),
|  | double | offset = 0.05,
|  | int | atom1 = -1,
|  | int | atom2 = -1,
|  | int | bond = -1 )

Referenced by DrawShapeWavyLine(), DrawShapeWavyLine(), operator=(), and operator=().

## ◆ DrawShapeWavyLine() [2/3]

RDKit::MolDraw2D_detail::DrawShapeWavyLine::DrawShapeWavyLine | ( | const DrawShapeWavyLine & |  | ) |
| delete

References DrawShapeWavyLine().

## ◆ DrawShapeWavyLine() [3/3]

RDKit::MolDraw2D_detail::DrawShapeWavyLine::DrawShapeWavyLine | ( | DrawShapeWavyLine && |  | ) |
| delete

References DrawShapeWavyLine().

## ◆ ~DrawShapeWavyLine()

RDKit::MolDraw2D_detail::DrawShapeWavyLine::~DrawShapeWavyLine | ( |  | ) |
| overridedefault

## Member Function Documentation

## ◆ doesRectClash()

bool RDKit::MolDraw2D_detail::DrawShapeWavyLine::doesRectClash | ( | const StringRect & | rect,
|  | double | padding ) const
| overridevirtual

Reimplemented from RDKit::MolDraw2D_detail::DrawShape.

## ◆ myDraw()

void RDKit::MolDraw2D_detail::DrawShapeWavyLine::myDraw | ( | MolDraw2D & | drawer | ) | const
| overridevirtual

Implements RDKit::MolDraw2D_detail::DrawShape.

## ◆ operator=() [1/2]

DrawShapeWavyLine & RDKit::MolDraw2D_detail::DrawShapeWavyLine::operator= | ( | const DrawShapeWavyLine & |  | ) |
| delete

References DrawShapeWavyLine().

## ◆ operator=() [2/2]

DrawShapeWavyLine & RDKit::MolDraw2D_detail::DrawShapeWavyLine::operator= | ( | DrawShapeWavyLine && |  | ) |
| delete

References DrawShapeWavyLine().

## ◆ scale()

void RDKit::MolDraw2D_detail::DrawShapeWavyLine::scale | ( | const Point2D & | scaleFactor | ) |
| overridevirtual

Reimplemented from RDKit::MolDraw2D_detail::DrawShape.

## Member Data Documentation

## ◆ col2_

DrawColour RDKit::MolDraw2D_detail::DrawShapeWavyLine::col2_

Definition at line 222 of file DrawShape.h.

## ◆ offset_

double RDKit::MolDraw2D_detail::DrawShapeWavyLine::offset_

Definition at line 223 of file DrawShape.h.

The documentation for this class was generated from the following file:

- DrawShape.h